Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.util
Class Base64.OutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.sshtools.j2ssh.util.Base64.OutputStream

Enclosing class:
  Base64

public static class Base64.OutputStream
extends java.io.FilterOutputStream

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`Base64.OutputStream(java.io.OutputStream out)`
`Base64.OutputStream(java.io.OutputStream out, boolean encode)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] theBytes, int off, int len)`
`void` | `write(int theByte)`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64.OutputStream

    public Base64.OutputStream(java.io.OutputStream out)

### Base64.OutputStream

    public Base64.OutputStream(java.io.OutputStream out,
                               boolean encode)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int theByte)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] theBytes,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD